"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class SampleSource(object):
    """
    The source of the sample     NOTE: IN GMS,
    BONE_MARROW_ASPIRATE_TUMOUR_CELLS and
    BONE_MARROW_ASPIRATE_TUMOUR_SORTED_CELLS are deprecated as they
    have been separated into their respective biotypes
    """

    AMNIOTIC_FLUID = "AMNIOTIC_FLUID"
    BLOOD = "BLOOD"
    BONE_MARROW = "BONE_MARROW"
    BONE_MARROW_ASPIRATE_TUMOUR_CELLS = "BONE_MARROW_ASPIRATE_TUMOUR_CELLS"
    BONE_MARROW_ASPIRATE_TUMOUR_SORTED_CELLS = "BONE_MARROW_ASPIRATE_TUMOUR_SORTED_CELLS"
    BUCCAL_SWAB = "BUCCAL_SWAB"
    CHORIONIC_VILLUS_SAMPLE = "CHORIONIC_VILLUS_SAMPLE"
    FIBROBLAST = "FIBROBLAST"
    FLUID = "FLUID"
    FRESH_TISSUE_IN_CULTURE_MEDIUM = "FRESH_TISSUE_IN_CULTURE_MEDIUM"
    OTHER = "OTHER"
    SALIVA = "SALIVA"
    TISSUE = "TISSUE"
    TUMOUR = "TUMOUR"
    URINE = "URINE"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "1.3.0"
